import axios from 'axios'
import ElementUI from "element-ui"
import router from '../router'
import VueRouter from 'vue-router'
// 通过axios.create方法 配置默认请求属性
// const baseURL = process.env.NODE_ENV === 'development' ? '/api' : 'http://chst.vip:1901'
axios.defaults.baseURL = "http://dazhao.site:8012/api"
axios.create({
  timeout: 3000,
  withCredentials: true// 开启携带认证
})

// 编写拦截器

// 请求拦截器 给每个请求都添加上headers['authorzation']
axios.interceptors.request.use(config => {
  // 判断请求路径 如果请求的是登入接口或者注册接口 那么直接放行
  if (config.url === '/Admin/Login') {
    return config
  }
  
  const token = localStorage.getItem('wf_token');
  config.headers.authorization = "Bearer "+token;
  return config // 相当于给请求放行
})

// let path = router.history.current.path;//获取

// 响应拦截器

axios.interceptors.response.use(config => {
  const { data } = config
  // if(config.headers['access-token']){
  //               localStorage.setItem("wf-token", config.headers['access-token']);
  //               localStorage.setItem("re-token", config.headers['x-access-token']);
  // }
  // //todo:可放接口返回异常处理
  // loading.methods.stopLoading();
  return config
},error=>{
  if(error.response){
    if(error.response.status === 401){
      localStorage.clear();
      ElementUI.Message.error("登录过期，请重新登录...");
      router.push("/login");
    } 
  }
  })

export default axios
