import axios from './config'

// 登录
export const Login = (page) => axios({
  url: '/Admin/Login',
  method: 'post',
  params: page
})

// 删除装修队成员
export const DeleteDecorationTeamPerson = (id) => axios({
  url: '/Decoration/DeleteDecorationTeamPerson/'+id,
  method: 'delete',
  data: {}
})

// 删除装修队
export const DeleteDecorationTeams = (id) => axios({
  url: '/Decoration/DeleteDecorationTeams/'+id,
  method: 'delete',
  data: {}
})

// 装修队完工报告
export const FinishDecorationTeam = (id) => axios({
  url: '/Decoration/FinishDecorationTeam/'+id,
  method: 'put',
  data: {}
})

// 获取装修队
export const GetDecorationTeams = (page) => axios({
  url: '/Decoration/GetDecorationTeams',
  method: 'get',
  params: page
})

// 获取装修队成员
export const GetDecorationTeamPersons = (id) => axios({
  url: '/Decoration/GetDecorationTeamPersons/'+id,
  method: 'get',
  params: {}
})

// 添加装修队
export const AddDecorationTeam = (json) => axios({
  url: '/Decoration/AddDecorationTeam',
  method: 'post',
  data: json
})

// 添加装修队成员
export const AddDecorationTeamPerson = (id,json) => axios({
  url: '/Decoration/AddDecorationTeamPerson/'+id,
  method: 'post',
  data: json
})

// 添加用户
export const AddPerson = (json) => axios({
  url: '/Person/AddPerson',
  method: 'post',
  data: json
})

// 获取用户
export const GetPersons = (parm) => axios({
  url: '/Person/GetPersons'+parm,
  method: 'get',
  params: {}
})

// 添加用户
export const UploadPerson = (json) => axios({
  url: '/Person/UploadPerson',
  method: 'post',
  data: json
})