import Vue from "vue";
import App from "./App";
import VueRouter from "vue-router";
import ElementUI from 'element-ui';
import router from './router'
import ChartBlock from '../src/components/echartsBlock/echartsBlock.vue'


import tableFlexWidth from './utils/tableFlexWidth'

import vueTap from "v-tap";
import fastclick from "fastclick";
import Vuex from "vuex";
import { NavBar,DatetimePicker, Button, Form, Field, Picker, Toast,Card,Tag,Tab, Tabs,Icon,Empty,Dialog,Step, NoticeBar,Steps,Popup,Uploader,RadioGroup, Radio,Checkbox, CheckboxGroup ,CountDown,Cell, CellGroup,SwipeCell} from "vant";

import "vant/lib/index.css";
import 'element-ui/lib/theme-chalk/index.css';
Vue.use(ChartBlock)
Vue.use(vueTap);
Vue.use(VueRouter);
Vue.use(Vuex);
Vue.use(ElementUI);
Vue.use(tableFlexWidth);
Vue.use(SwipeCell).use(DatetimePicker).use(NavBar).use(CountDown).use(Cell).use(CellGroup).use(Checkbox).use(CheckboxGroup).use(Button).use(Form).use(Field).use(Picker).use(Toast).use(Card).use(Tag).use(Tab).use(Tabs).use(Icon).use(Empty).use(Dialog).use(Step).use(Steps).use(Popup).use(Uploader).use(RadioGroup).use(Radio).use(NoticeBar);

const store = new Vuex.Store({
  state: {
    count: 0,
    url:'http://dazhao.site:8012/api',
    go:'http://localhost:8080/#/',
    canteen:{}
  },
  // 添加的商品元素
  addCartEl: {},
  mutations: {
    increment(state) {
      state.count++;
    },
    updateCanteen(state,obj) {
      state.canteen = obj;
    },
  },

});


router.beforeEach((to, from, next) => {
  if (to.meta.title) {
    document.title = to.meta.title
  }
  next()
})
new Vue({
  router,
  store,
  template: "<App/>",
  components: {
    App,
  },
  data: {
    eventHub: new Vue(),
  },
}).$mount("#app");

// router.push("filter");
