import Vue from "vue";
import VueRouter from "vue-router";
import confirmRes from "../views/visitor/confirmRes.vue";
import confirmCome from "../views/visitor/confirmCome.vue";
import applyfor from "../views/visitor/applyfor.vue";
import applySelf from "../views/visitor/applySelf.vue";
import applylog from "../views/visitor/applylog.vue";
import applyApprovalCar from "../views/visitor/applyApprovalCar.vue";
import applyCar from "../views/visitor/applyCar.vue";
import applyAddCar from "../views/visitor/applyAddCar.vue";
import applyFamily from "../views/visitor/applyFamily.vue";
import applyAddFamily from "../views/visitor/applyAddFamily.vue";
import applyQrcode from "../views/visitor/applyQrcode.vue";
import applyforQrcode from "../views/visitor/applyforQrcode.vue";
import person from "../views/visitor/person.vue";
import login from "../views/visitor/login.vue";
import bind from "../views/visitor/bind.vue";
import invite from "../views/visitor/invite.vue";
import qrcode from "../views/visitor/qrcode.vue";
import success from "../views/visitor/success.vue";
import personList from "../views/repulsebay/question/personList.vue";
import question from "../views/repulsebay/question/question.vue";
import questionList from "../views/repulsebay/question/questionList.vue";
import renovationList from "../views/repulsebay/question/renovationList.vue";
import design from "../views/repulsebay/question/design.vue";
import personalCenter from "../views/repulsebay/question/personalCenter.vue";
import community from "../views/repulsebay/question/community.vue";
import questionStatistics from "../views/repulsebay/question/questionStatistics.vue";
import questionSuccess from "../views/repulsebay/question/questionSuccess.vue";
import prompt from "../views/jifeng/prompt.vue";
import index from "../views/index.vue";
Vue.use(VueRouter);

const routes = [
  {
    path: "/index",
    component: index,
    meta: { hideHeader: true, title: "" },
    children: [
      {
        path: "/personList",
        component: personList,
        meta: {
          hideHeader: true,
          title: "人员管理",
          web: true,
          icon: "el-icon-s-custom",
        },
      },
      {
        path: "/questionList",
        component: questionList,
        meta: {
          hideHeader: true,
          title: "问卷管理",
          web: true,
          icon: "el-icon-tickets",
        },
      },
      {
        path: "/renovationList",
        component: renovationList,
        meta: {
          hideHeader: true,
          title: "装修管理",
          web: true,
          icon: "el-icon-smoking",
        },
      },

      {
        path: "/design",
        component: design,
        meta: { hideHeader: true, title: "问卷设计", icon: "el-icon-phone" },
      },
    ],
  },
  {
    path: "/applyApprovalCar",
    component: applyApprovalCar,
    meta: { hideHeader: true, title: "" },
  },
  {
    path: "/applyAddFamily",
    component: applyAddFamily,
    meta: { hideHeader: true, title: "" },
  },
  {
    path: "/applyFamily",
    component: applyFamily,
    meta: { hideHeader: true, title: "" },
  },
  {
    path: "/applyAddCar",
    component: applyAddCar,
    meta: { hideHeader: true, title: "" },
  },
  {
    path: "/applyCar",
    component: applyCar,
    meta: { hideHeader: true, title: "" },
  },
  {
    path: "/applylog",
    component: applylog,
    meta: { hideHeader: true, title: "" },
  },
  {
    path: "/applyforQrcode",
    component: applyforQrcode,
    meta: { hideHeader: true, title: "访客申请码" },
  },
  {
    path: "/applyQrcode",
    component: applyQrcode,
    meta: { hideHeader: true, title: "访客邀请码" },
  },
  {
    path: "/prompt",
    component: prompt,
    meta: { hideHeader: true, title: "" },
  },

  {
    path: "/questionSuccess",
    component: questionSuccess,
    meta: { hideHeader: true, title: "问卷调查" },
  },
  {
    path: "/questionStatistics",
    component: questionStatistics,
    meta: { hideHeader: true, title: "问卷统计" },
  },
  {
    path: "/community",
    component: community,
    meta: { hideHeader: true, title: "社区风采" },
  },
  {
    path: "/personalCenter",
    component: personalCenter,
    meta: { hideHeader: true, title: "个人中心" },
  },

  {
    path: "/question",
    component: question,
    meta: { hideHeader: true, title: "问卷调查" },
  },

  {
    path: "/invite",
    component: invite,
    meta: { hideHeader: true, title: "访客系统" },
  },
  {
    path: "/bind",
    component: bind,
    meta: { hideHeader: true, title: "注册中心" },
  },
  {
    path: "/confirmRes",
    component: confirmRes,
    meta: { hideHeader: true, title: "访客审批" },
  },
  {
    path: "/confirmCome",
    component: confirmCome,
    meta: { hideHeader: true, title: "访客系统" },
  },
  {
    path: "/applyfor",
    component: applyfor,
    meta: { hideHeader: true, title: "访客自助申请" },
  },
  {
    path: "/applySelf",
    component: applySelf,
    meta: { hideHeader: true, title: "自助申请" },
  },
  {
    path: "/success",
    component: success,
    meta: { hideHeader: true, title: "访客系统" },
  },
  {
    path: "/login",
    component: login,
    meta: { hideHeader: true, title: "登录", },
  },
  {
    path: "/person",
    component: person,
    meta: { hideHeader: true, title: "" },
  },
  {
    path: "/qrcode",
    component: qrcode,
    meta: { hideHeader: true, title: "" },
  },
];

const router = new VueRouter({
  routes,
});

export default router;
